Announcement

Collapse
No announcement yet.

Fglrx errors: ArchLinux

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Fglrx errors: ArchLinux

    I recently updated to catalyst-utils 11.5-2 on my ArchLinux desktop, and I'm having problems with the driver.

    When I try to play a video with xine, I get this error:

    Code:
    X Error of failed request:  BadRequest (invalid request code or no such operation)
      Major opcode of failed request:  138 (GLX)
      Minor opcode of failed request:  19 (X_GLXQueryServerString)
      Serial number of failed request:  2000
      Current serial number in output stream:  2000
    Games are not working either, so I'm back at not having the damn video card working correctly.

    I checked /var/log/Xorg.0.log and get these errors:

    Code:
    [fernando@hoth series]$ cat /var/log/Xorg.0.log | grep EE
    [ 11091.910] Current Operating System: Linux hoth 2.6.38-ARCH #1 SMP PREEMPT Mon Jun 6 22:49:29 CEST 2011 x86_64
            (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    [ 11091.913] (II) Loading extension MIT-SCREEN-SAVER
    [ 11091.970] (EE) fglrx(0): ACPI: DRM connection failed
    [ 11092.386] (EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized. 
    [ 11092.415] (EE) fglrx(0): XMM failed to open CMMQS connection.(EE) fglrx(0): 
    [ 11092.415] (EE) fglrx(0): XMM failed to initialize
    Any ideas on what's wrong? This is the Device section of my xorg.conf file:
    Code:
    Section "Device"
            Identifier  "aticonfig-Device[0]-0"
            ### Available Driver options are:-
            ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
            ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
            ### [arg]: arg optional
            #Option     "NoAccel"                   # [<bool>]
            #Option     "offscreensize"             # [<str>]
            #Option     "SWcursor"                  # [<bool>]
            #Option     "ignoreconnector"           # [<str>]
            #Option     "forcereduced"              # [<bool>]
            #Option     "forcedpi"                  # <i>
            #Option     "useconfiguredmonitor"      # [<bool>]
            #Option     "HPD"                       # <str>
            #Option     "NoRandr"                   # [<bool>]
            #Option     "RROutputOrder"             # [<str>]
            #Option     "TVMode"                    # [<str>]
            #Option     "ScaleType"                 # [<str>]
            #Option     "UseAtomBIOS"               # [<bool>]
            #Option     "AtomBIOS"                  # [<str>]
            #Option     "UnverifiedFeatures"        # [<bool>]
            #Option     "Audio"                     # [<bool>]
            #Option     "AudioStreamSilence"        # [<str>]
            #Option     "HDMI"                      # [<str>]
            #Option     "COHERENT"                  # [<str>]
            #Option     "ForceLowPowerMode"         # [<bool>]
            #Option     "LowPowerModeEngineClock"   # <i>
            Driver      "fglrx"
           #Driver       "vesa"
            VendorName  "ATI Technologies Inc"
            BoardName   "Radeon HD 3200 Graphics"
            #Option     "AccelMethod" "exa"         # [<str>]
            #Option     "DRI" "true"                        # [<bool>]
            #Option     "XAANoOffscreenPixmaps" "true"
            Option      "RenderAccel" "true"
            Option      "AllowGLXWithComposite" "true"
            BusID       "PCI:1:5:0"
    EndSection
    Also, there's a kernel update on the repo, but I haven't done so just in case this brings new trouble to my installation. The upcoming kernel is 2.6.39, is the catalyst driver compatible with this?

    Thanks in advance.
Working...
X